%define version	1.0.40
%define release	7mdk

Summary:	GNOME Objective C libraries
Name:		gnome-objc
Version:	%{version}
Release:	%{release}
Copyright:	LGPL
Group:		System/Libraries

Source:		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-objc/gnome-objc-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gnome-libs >= 0.99.8
URL:		http://www.gnome.org/
BuildRequires:	gcc-objc XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel

%description
This package installs basic libraries you must have to use GNOME programs that
are built with Objective C.

GNOME is the GNU Network Object Model Environment. It's a powerful, pleasing,
easy to use and configure environment for your computer.

%package devel
Summary:	Libraries, includes and other files to develop Objective C GNOME applications
Group:		Development/GNOME and GTK+
Requires:	gnome-objc

%description devel
Libraries, include files and other files you can use to develop Objective C
GNOME applications.

If you're interested in developing GNOME applications, you should install this
package.


%prep

%setup

%build
export OBJC=gcc
%configure

%make

%install
%makeinstall

%{find_lang} %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_bindir}/obgnome-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*

%changelog
* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.40-7mdk
- use find_lang macro

* Tue Aug 29 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.40-6mdk
- Remove ugly %%post

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.40-5mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.40-4mdk
- BM + macroszification

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.40-3mdk
- User configure macros.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.40-2mdk
- BuildRequires: gcc-objc
- Use configure macros.

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.40-1mdk
- release 1.0.40
- adjust group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.2.

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixing %post scripts.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize and fix source line

* Wed Feb 17 1999 Michael Fulbright <drmike@redhat.com>
- file listing updated

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-objc source tree
